Subject: Re: [PATCH V2] user-manual: add addition gitweb information

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Dec 2015 15:29:09 -0800

"Stephen P. Smith" <[email-masked]> writes:

>  The gitweb cgi script provides users an easy way to browse your
> -project's files and history without having to install Git; see the file
> -gitweb/INSTALL in the Git source tree for instructions on setting it up.
> +project's revisions, file contents and logs without having to install
> +Git. Features like RSS/Atom feeds and blame/annotation details may

Thanks.  Was there a reason to rewrite "files and history" into
"revisions, file contents and logs"?  The words "revisions" and
"logs" both refer to the same thing and "history" is a good word for
it already, so I am puzzled.  No strong objection, though...

> +optionally be enabled.
> +
> +The linkgit:git-instaweb[1] command provides a simple way to start
> +browsing the repository using gitweb. The default server when using
> +instaweb is lighttpd.
> +
> +See the file gitweb/INSTALL in the Git source tree and
> +linkgit:gitweb[1] for instructions on details setting up a permament
> +installation with a CGI or Perl capable server.
>  
>  [[sharing-development-examples]]
>  Examples
> @@ -4651,8 +4660,6 @@ documentation.
>  Add a section on working with other version control systems, including
>  CVS, Subversion, and just imports of series of release tarballs.
>  
> -More details on gitweb?
> -
>  Write a chapter on using plumbing and writing scripts.
>  
>  Alternates, clone -reference, etc.